[user]
	name = Snoweuph
    email = snow+git@euph.email
	signingkey = 99ED4727EFBFF719
[commit]
	gpgSign = true

[push]
	autosetupremote = true

[help]
	autoCorrect = prompt

[core]
    editor = nvim
    pager = delta
	commentChar = ";"

[diff]
	colorMoved = default

[fetch]
	prune = true
	prunetags = true

[alias]
    adog ="!git-graph --model=trunk --color=always | LESS='-R' less"
    fl = push --force-with-lease
    prune-branches = "!git fetch -p && git branch -vv | grep ': gone]' | awk '{print $1}' | xargs -r git branch -d"
    show-last-commit = diff HEAD^
    unstage = "restore --staged"
